Package org.eclipse.net4j.util.om.monitor

# Class NotifyingMonitor.ProgressEvent

java.lang.Object
java.util.EventObject
org.eclipse.net4j.util.event.Event
org.eclipse.net4j.util.om.monitor.NotifyingMonitor.ProgressEvent

All Implemented Interfaces:
  `Serializable`, `IEvent`, `OMMonitorProgress`

Enclosing class:
  NotifyingMonitor

public static class NotifyingMonitor.ProgressEvent extends Event implements OMMonitorProgress

Author:
  Eike Stepper
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Fields inherited from interface org.eclipse.net4j.util.om.monitor.OMMonitorProgress

`HUNDRED, ONE, TEN, ZERO`

## Constructor Summary

Constructors
Constructor
Description
`ProgressEvent(INotifier notifier, double totalWork, double work)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getTask()`
`double`
`getTotalWork()`
`double`
`getWork()`
`double`
`getWorkPercent()`

### Methods inherited from class org.eclipse.net4j.util.event.Event

`formatAdditionalParameters, formatEventName, getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ProgressEvent

public ProgressEvent(INotifier notifier, double totalWork, double work)

Since:
  3.2

## Method Details

### getTask

public String getTask()

### getTotalWork

public double getTotalWork()

Specified by:
  `getTotalWork` in interface `OMMonitorProgress`

### getWork

public double getWork()

Specified by:
  `getWork` in interface `OMMonitorProgress`

### getWorkPercent

public double getWorkPercent()

Specified by:
  `getWorkPercent` in interface `OMMonitorProgress`